Subject: Re: [take12 0/3] kevent: Generic event handling mechanism.

From: Evgeniy Polyakov <[email-masked]>
Date: Wed, 23 Aug 2006 14:03:03 +0400

On Wed, Aug 23, 2006 at 11:58:20AM +0200, Andi Kleen ([email-masked]) wrote:
> Evgeniy Polyakov <[email-masked]> writes:
> > 
> > Let's then place there a structure with 64bit seconds and nanoseconds,
> > similar to timspec, but without longs there.
> 
> You need 64bit (or at least more than 32bit) for the seconds,
> otherwise you add a y2038 problem which would be sad in new code.
> Remember you might be still alive then ;-)

I hope so :)

> Ok one could argue that on 32bit architectures 2038 is so deeply
> embedded that it doesn't make much difference, but I still
> think it would be better to not readd it to new interfaces there.
> 
> 64bit longs on 32bit is fine, as long as you use aligned_u64,
> never long long or u64 (which has varying alignment between i386 and x86-64)

Btw, aligned_u64 is not exported to userspace.
I commited a change with __u64 nanoseconds without any strucutres.
Do we really need a structure?

> -Andi

-- 
	Evgeniy Polyakov